      function inpt(code,regel)
C     Reads card-directed input; a character variable REGEL*200 must be define
C     First call:            inpt('INPUT ',regel)
C     Following calls:       inpt('CODEWD',regel)
C     Last call (optional):  inpt('CHECK ',regel)

      implicit none
      integer i,inpt,iused,k,n,nhit,nrgls,nword
      character code*6,regel*200,ch*1,form*200
      character*200 regels(200)
      dimension iused(200)
      save nrgls,regels,iused

      if (code(1:5).eq.'INPUT') then
C        Reads lines from unit 13 and stores them in array REGELS.
C        The characters of each line are changed into upper case.
C        A line starting with a space is skipped.
C        The number of lines is returned in INPT.
         nrgls=0
 110     continue
         read(13,11,end=150,err=150) regel
         if (regel(1:1).eq.' ') goto 110
         do i=1,200
            ch=regel(i:i)
            k=ichar(ch)
            if (ch.ge.'a' .and. ch.le.'z') k=k-32
            regel(i:i)=char(k)
         enddo
         nrgls=nrgls+1
         regels(nrgls)=regel
         iused(nrgls)=0
c         print 14,regel(1:80)
         goto 110
 150     continue
         form='(i4,'' lines read from file'',i3)'
         print form, nrgls,13
         inpt=nrgls


      elseif (code(1:5).eq.'CHECK') then
C        Check whether all entries in the data file have been used
         n=0
         do i=1,nrgls
            if (iused(i).eq.0) then
               n=n+1
               print*,' ***** Code not used: ',regels(i)(1:50)
               write(16,*) ' ***** Code not used: ',regels(i)(1:50)
            endif
         enddo
         inpt=n

      else
C        Extracts the string REGEL from the last line starting with CODEWD
C        in array REGELS, and returns the number of elements into INPT.
C        NHIT is the number of times CODEWD is found.
C        
C        Missing last letter(s) of the code word are disregarded, e.g.
C        every line starting with CODEW or even just C is also taken as a hit!
CCC          BUT THIS IS NOW DISABLED!!!!

         nhit=0
         inpt=0
         do i=1,nrgls
            do k=1,6
               if (code(k:k).eq.' ') goto 240
            enddo
  240       continue
cc            print*,'---',code(1:k-1),'---',regels(i)(1:k-1),'---'

c            k=0
c 230        continue
c            k=k+1
c            if (regels(i)(k:k).ne.' ' .and. code(k:k).ne.' ') goto 230
            if (code(1:k-1).eq.regels(i)(1:k-1)) then
               regel=regels(i)
               iused(i)=1
               inpt=nword(regel)
               nhit=nhit+1
            endif
         enddo
c        if (nhit.eq.0) print*,' Code ',code,' not found'
         if (nhit.gt.0) then
            print 13,code,regel(1:80)
            write(16,13) code,regel(1:80)
         endif
         if (nhit.gt.1) then
            print 12, code,nhit
            write(16,12) code,nhit
         endif
      endif
 11   format(a200)
 12   format(' ***** Code ',a6,' found from last line out of',i4)
 13   format(' Code ',a6,' found: ' ,a)
      end
