      integer maxstr,maxspf,maxcon,maxcum,mxlist,mxspin,maxspg,mxindm,
     +   mxinda,mxindi,maxmol,maxnrp,mxintr
      integer zflag,strflg,strlst,type,slist
      integer*2 teller
      integer*4 mdist,mpow,mdiff,mcut
      double precision cutoff,diff,tol
      integer margin,nclus,istart,iend,iclus,molnr,intri,intrj

C     maxstr = maximum number of structures in distance-clustering
      parameter(maxstr=100000)
C     maxspf = maximum number of entries on SPF-type file
      parameter(maxspf=30000)
C     maxcon = maximum number of contacts in one structure
      parameter(maxcon=40000)
C     maxcum = maximum number of contacts, cumulative for all structures
      parameter(maxcum=60000000)
C     mxlist = maximum number of input files
      parameter(mxlist=100)
C     mxspin = maximum number of entries on space group file
      parameter(mxspin=300)
C     maxspg = maximum number of space group operations
      parameter(maxspg=16)
C     mxindm = maximum number of independent molecules
      parameter(mxindm=8)
C     mxinda = maximum number of independent atoms
      parameter(mxinda=300)
C     mxindi = maximum number of independent intramolecular distances
      parameter(mxindi=30)

C     maxmol = maximum number of molecules 
      parameter(maxmol=mxindm*maxspg)
C     maxnrp = maximum number of atoms
      parameter(maxnrp=mxinda*maxspg)
C     mxintr = maximum number of intramolecular distances
      parameter(mxintr=2*mxindi*maxspg)
     
      common /naam/ cutoff,diff,tol,margin,mpow,mdiff,mcut
      common /clus/ mdist(maxcum),teller(maxstr,0:maxmol),
     +     zflag(maxstr),strflg(maxstr),nclus(maxstr),strlst(maxstr),
     +     istart(mxlist),iend(mxlist),slist(maxstr),iclus(maxstr),
     +     molnr(maxnrp),type(maxnrp),intri(mxintr),intrj(mxintr)
