      integer mxspgr,maxnrt,maxnrp,maxvir,
     +   maxbon,maxang,maximp,maxdih,maxome,maxtau,maxmol,
     +   maxat,maxxco,maxpar,maxcag,maxmat,
     +   maxnsj,mxlist,maxap,maxh,maxk,maxcl1,maxpre,maxcl2,maxcnf,
     +   mxdata,maxint,imin,imax,maxtmp,maxq

C     mxspgr = 3 * maximum number of space group operations
      parameter(mxspgr=48)
C     maxnrt = maximum number of atom types
      parameter(maxnrt=15)

C     The following set of parameters refers to one group of molecules:
C     maxnrp = maximum number of atoms
      parameter(maxnrp=200)
C     maxbon = maximum number of bonds
      parameter(maxbon=500)
C     maxang = maximum number of angles
      parameter(maxang=1500)
C     maximp = maximum number of improper dihedrals
      parameter(maximp=100)
C     maxdih = maximum number of torsions
      parameter(maxdih=3000)
C     maxome = maximum number of conformation parameters
      parameter(maxome=50)
C     maxtau = maximum number of light conformation parameters (OH dihedrals)
      parameter(maxtau=20)
C     maxmol = maximum number of molecules
      parameter(maxmol=25)

C     The following set of parameters refers to the situation after
C     possible expansion to P1 or for more than one group of atoms.
C     maxat = maximum number of (expanded) atoms
      parameter(maxat=3000)
C     maxxco = maximum number of (expanded) coordinates
      parameter(maxxco=3*maxat)
C     maxpar = maximum number of parameters
      parameter(maxpar=6000)
C     maxcag = maximum number of charge groups
      parameter(maxcag=1000)
C     maxmat = maximum number of atoms in SECDER and LATVIB
      parameter(maxmat=800)

C     Some more specific parameters.
C     maxnsj= maximum number of space group translations
      parameter(maxnsj=5000)
C     mxlist=maximum number of pair list entries
      parameter(mxlist=600000)
C     maxap = maximum number of pair list entries for iterative polarization
      parameter(maxap=100000)
C     maxh = maximum number of pair list entries for one H-atom
      parameter(maxh=10000)
C     maxk = maximum number of reciprocal vectors
      parameter(maxk=1000)
C     maxcl1 = maximum number of items to be clustered in PACK1
      parameter(maxcl1=10000)
C     maxpre = maximum number of rigid rotor trial conformations
      parameter(maxpre=66000)
C     maxcl2 = maximum number of items to be clustered in PACK2
      parameter(maxcl2=2000)
C     maxcnf = maximum number of conformations treated in PACK2
      parameter(maxcnf=27)
C     mxdata = maximum number of data for CLUS, SORT and PACK3
      parameter(mxdata=100000)
C     maxint = maximum number of intervals for internal rotation of H-atoms
      parameter(maxint=4)
C     imin and imax define lowest and highest energy in PACK1 and PACK2
      parameter(imin=-1000,imax=6000)
C     maxtmp = maximum number of temperatures for LATVIB
      parameter(maxtmp=100)
C     maxq = maximum number of q-vectors for LATVIB
      parameter(maxq=10000)
C     maxvir = maximum number of virtual atoms
      parameter(maxvir=200)
